package com.ruoyi.web.llm.service;

import reactor.core.publisher.Flux;

public interface ISessionService {

    /**
     * 生成回答
     */
    Flux<String> answer(String topicId, String question);

    /**
     * 调用LLM+RAG（外部文件）生成回答
     */
    Flux<String> answerWithDocument(String topicId, String chatId, String question) throws Exception;

}
